Bug 123299 - BuildRequires in libtool to gcc-c++ and libstdc++-devel missing
BuildRequires in libtool to gcc-c++ and libstdc++-devel missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtool (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-16 07:18 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.5.6-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-15 09:29:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-05-16 07:18:39 EDT
Description of problem:
A libtool rebuilding fails always at the end of the 98 tests and says
that there were errors at three tests: "tagdemo-make.test"

Version-Release number of selected component (if applicable):
libtool-1.5.6-1

How reproducible:
Everytime

Steps to Reproduce:
1. Have no gcc-c++ and no libstdc++-devel installed
2. Rebuild libtool
3. Get the error described above
  
Actual results:
--- libtool.spec        2004-04-12 03:50:07.000000000 +0200
+++ libtool.spec.rsc    2004-05-16 13:13:19.000000000 +0200
@@ -22,7 +22,7 @@
 #Patch16: libtool-1.5-AC_PROG_LD_GNU-quote-v-97608.patch
 #Patch17: libtool-1.5-nostdlib.patch
 PreReq: /sbin/install-info, autoconf, automake >= 1.4p1, m4, perl
-BuildRequires: autoconf automake
+BuildRequires: autoconf, automake, gcc-c++, libstdc++-devel
 Requires: libtool-libs = %{version}-%{release}, mktemp
 BuildRoot: %{_tmppath}/%{name}-root

Expected results:
gcc-c++ and libstdc++-devel as BuildRequires

Additional info:
I know that gcc-c++ and libstdc++-devel normally are the default, but
if you get this error at the top you're searching for it hours and
finding that simple result at least...
Comment 1 Jens Petersen 2004-05-17 00:38:43 EDT
Thanks for the report: adding gcc-g77 and ghc-gcj too in next build.
Comment 2 Robert Scheck 2004-07-15 09:29:53 EDT
Thank you Jens for fixing it :)

Note You need to log in before you can comment on or make changes to this bug.